MONGOC_AUTO_ENCRYPTION_OPTS_SET_ENCRYPTED_FIELDS_MAP(3)

NAME
mongoc_auto_encryption_opts_set_encrypted_fields_map - mongoc_auto_encryption_opts_set_encrypted_fields_map()

SYNOPSIS

void
mongoc_auto_encryption_opts_set_encrypted_fields_map (
   mongoc_auto_encryption_opts_t *opts, const bson_t *encrypted_fields_map);

IMPORTANT: This API is part of the experimental Queryable Encryption API and may be subject to breaking changes in future releases.

New in version 1.22.0.

PARAMETERS

•   opts: The mongoc_auto_encryption_opts_t

•   encrypted_fields_map: A bson_t where keys are collection namespaces and values are encrypted fields documents.

    Supplying an encrypted_fields_map provides more security than relying on an encryptedFields obtained from the server. It protects against a malicious server advertising a false encryptedFields.

    SEE ALSO:
    mongoc_client_enable_auto_encryption()

    The guide for Using Client-Side Field Level Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc